Debian Bug report logs - #694589
lastfmproxy: python module/script files in wrong location

version graph

Package: lastfmproxy; Maintainer for lastfmproxy is Romain Beauxis <toots@rastageeks.org>;

Reported by: Stuart Prescott <stuart@debian.org>

Date: Wed, 28 Nov 2012 03:30:02 UTC

Severity: serious

Found in version lastfmproxy/1.3b-2

Fixed in version 1.3b-2+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, stuart@debian.org, Romain Beauxis <toots@rastageeks.org>:
Bug#694589; Package lastfmproxy. (Wed, 28 Nov 2012 03:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart@debian.org>:
New Bug report received and forwarded. Copy sent to stuart@debian.org, Romain Beauxis <toots@rastageeks.org>. (Wed, 28 Nov 2012 03:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lastfmproxy: python module/script files in wrong location
Date: Wed, 28 Nov 2012 03:27:16 +0000
Package: lastfmproxy
Version: 1.3b-2
Severity: serious
Justification: policy §9.1 (FHS: /var/lib is for state information not scripts), python policy §2.1 (module placement)

Hi!

lastfmproxy ships a number of files in /var/lib that belong in /usr/share --
this includes python module files and probably also the png/html/css/js files
as well.

lastfmproxy: /var/lib/lastfmproxy/audioscrobbler.py
lastfmproxy: /var/lib/lastfmproxy/changestation.py
lastfmproxy: /var/lib/lastfmproxy/config.py
lastfmproxy: /var/lib/lastfmproxy/data/album.png
lastfmproxy: /var/lib/lastfmproxy/data/artist.png
lastfmproxy: /var/lib/lastfmproxy/data/default.css
lastfmproxy: /var/lib/lastfmproxy/data/default.html
lastfmproxy: /var/lib/lastfmproxy/data/favicon.ico
lastfmproxy: /var/lib/lastfmproxy/data/main.js
lastfmproxy: /var/lib/lastfmproxy/data/nice_favicon.png
lastfmproxy: /var/lib/lastfmproxy/data/noalbum_medium.gif
lastfmproxy: /var/lib/lastfmproxy/data/sidebar.css
lastfmproxy: /var/lib/lastfmproxy/data/sidebar.html
lastfmproxy: /var/lib/lastfmproxy/data/song.png
lastfmproxy: /var/lib/lastfmproxy/httpclient.py
lastfmproxy: /var/lib/lastfmproxy/lastfm.py
lastfmproxy: /var/lib/lastfmproxy/main.py
lastfmproxy: /var/lib/lastfmproxy/playlist.py
lastfmproxy: /var/lib/lastfmproxy/xspf.py

Additionally, this package does not follow python policy §2.6 (byte
compilation of modules). The use of a python packaging helper such
as dh_python2 would help with this.

(Line 3 of the postinst also means that any debhelper boilerplate
added to the maintainer script will not be executed in a lot of cases
which is not as desirable.)

cheers
Stuart



Information forwarded to debian-bugs-dist@lists.debian.org, Romain Beauxis <toots@rastageeks.org>:
Bug#694589; Package lastfmproxy. (Wed, 28 Nov 2012 07:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Romain Beauxis <toots@rastageeks.org>. (Wed, 28 Nov 2012 07:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 694589@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Stuart Prescott <stuart@debian.org>, 694589@bugs.debian.org
Subject: Re: Bug#694589: lastfmproxy: python module/script files in wrong location
Date: Wed, 28 Nov 2012 08:19:25 +0100
[Message part 1 (text/plain, inline)]
On Wed, Nov 28, 2012 at 03:27:16 +0000, Stuart Prescott wrote:

> Package: lastfmproxy
> Version: 1.3b-2
> Severity: serious
> Justification: policy §9.1 (FHS: /var/lib is for state information not scripts), python policy §2.1 (module placement)
> 
> Hi!
> 
> lastfmproxy ships a number of files in /var/lib that belong in /usr/share --
> this includes python module files and probably also the png/html/css/js files
> as well.
> 
I don't think this warrants serious severity.

> lastfmproxy: /var/lib/lastfmproxy/audioscrobbler.py
> lastfmproxy: /var/lib/lastfmproxy/changestation.py
> lastfmproxy: /var/lib/lastfmproxy/config.py
> lastfmproxy: /var/lib/lastfmproxy/data/album.png
> lastfmproxy: /var/lib/lastfmproxy/data/artist.png
> lastfmproxy: /var/lib/lastfmproxy/data/default.css
> lastfmproxy: /var/lib/lastfmproxy/data/default.html
> lastfmproxy: /var/lib/lastfmproxy/data/favicon.ico
> lastfmproxy: /var/lib/lastfmproxy/data/main.js
> lastfmproxy: /var/lib/lastfmproxy/data/nice_favicon.png
> lastfmproxy: /var/lib/lastfmproxy/data/noalbum_medium.gif
> lastfmproxy: /var/lib/lastfmproxy/data/sidebar.css
> lastfmproxy: /var/lib/lastfmproxy/data/sidebar.html
> lastfmproxy: /var/lib/lastfmproxy/data/song.png
> lastfmproxy: /var/lib/lastfmproxy/httpclient.py
> lastfmproxy: /var/lib/lastfmproxy/lastfm.py
> lastfmproxy: /var/lib/lastfmproxy/main.py
> lastfmproxy: /var/lib/lastfmproxy/playlist.py
> lastfmproxy: /var/lib/lastfmproxy/xspf.py
> 
> Additionally, this package does not follow python policy §2.6 (byte
> compilation of modules). The use of a python packaging helper such
> as dh_python2 would help with this.
> 
> (Line 3 of the postinst also means that any debhelper boilerplate
> added to the maintainer script will not be executed in a lot of cases
> which is not as desirable.)
> 
This might.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Romain Beauxis <toots@rastageeks.org>:
Bug#694589; Package lastfmproxy. (Mon, 31 Dec 2012 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Romain Beauxis <toots@rastageeks.org>. (Mon, 31 Dec 2012 18:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 694589@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 694589@bugs.debian.org
Subject: Re: Bug#694589: lastfmproxy: python module/script files in wrong location
Date: Mon, 31 Dec 2012 19:04:04 +0100
[Message part 1 (text/plain, inline)]
On Wed, 28 Nov 2012 08:19:25 +0100, Julien Cristau wrote:

> > Severity: serious
> > Justification: policy §9.1 (FHS: /var/lib is for state information not scripts), python policy §2.1 (module placement)

> > lastfmproxy ships a number of files in /var/lib that belong in /usr/share --
> > this includes python module files and probably also the png/html/css/js files
> > as well.

> I don't think this warrants serious severity.

> > (Line 3 of the postinst also means that any debhelper boilerplate
> > added to the maintainer script will not be executed in a lot of cases
> > which is not as desirable.)

> This might.

#DEBHELPER# gets expanded to

# Automatically added by dh_installinit
if [ -x "/etc/init.d/lastfmproxy" ]; then
    update-rc.d lastfmproxy defaults >/dev/null
    invoke-rc.d lastfmproxy start || exit $?
fi
# End automatically added section


Interesting details re /var/lib vs. /usr/share:

- from postinst:

# 5. Remove old stuff..
if dpkg --compare-versions "$2" lt "1.2-1"; then
  rm -rf /usr/share/lastfmproxy
  usermod -d $HOME $LASTFMPROXY
fi

- from changelog:

  * Moved working directory to /var/lib/lastfmproxy


Cheers,
gregor


-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Die Schmetterlinge: Feiertag
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Romain Beauxis <toots@rastageeks.org>:
Bug#694589; Package lastfmproxy. (Thu, 24 Jan 2013 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Romain Beauxis <toots@rastageeks.org>. (Thu, 24 Jan 2013 14:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 694589@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: gregor herrmann <gregoa@debian.org>, 694589@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#694589: lastfmproxy: python module/script files in wrong location
Date: Thu, 24 Jan 2013 15:52:46 +0100
Hi,

I wonder whether it would help if I would just dh_python2-ify (switching
from cdbs to dh) to solve this problem.  I do not feel prepared to fix the
issue in cdbs but I did some dh based Python packages - so feel free to
ping me if this is accepted.

On the other hand popcon seems to show

   http://qa.debian.org/popcon.php?package=lastfmproxy

that the best days of this package are over - I also can not see any
reverse dependencies.  Kicking this leaf package from testing would be
perfectly fine for me personally.

BTW, I would also inject the packaging into collab-maint (svn or git -
whatever you prefer.)

Kind regards

        Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#694589; Package lastfmproxy. (Thu, 24 Jan 2013 16:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Romain Beauxis <toots@rastageeks.org>:
Extra info received and forwarded to list. (Thu, 24 Jan 2013 16:09:07 GMT) Full text and rfc822 format available.

Message #25 received at 694589@bugs.debian.org (full text, mbox):

From: Romain Beauxis <toots@rastageeks.org>
To: Andreas Tille <tille@debian.org>, 694589@bugs.debian.org
Cc: gregor herrmann <gregoa@debian.org>, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#694589: lastfmproxy: python module/script files in wrong location
Date: Thu, 24 Jan 2013 10:07:17 -0600
2013/1/24 Andreas Tille <tille@debian.org>:
> Hi,

Hi Andreas,

> I wonder whether it would help if I would just dh_python2-ify (switching
> from cdbs to dh) to solve this problem.  I do not feel prepared to fix the
> issue in cdbs but I did some dh based Python packages - so feel free to
> ping me if this is accepted.
>
> On the other hand popcon seems to show
>
>    http://qa.debian.org/popcon.php?package=lastfmproxy
>
> that the best days of this package are over - I also can not see any
> reverse dependencies.  Kicking this leaf package from testing would be
> perfectly fine for me personally.
>
> BTW, I would also inject the packaging into collab-maint (svn or git -
> whatever you prefer.)

Thanks for your care! Feel free to upload a fixed version, either
NMUed or even taking the package over..

Have a good day,
Romain



Information forwarded to debian-bugs-dist@lists.debian.org, Romain Beauxis <toots@rastageeks.org>:
Bug#694589; Package lastfmproxy. (Thu, 24 Jan 2013 16:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Romain Beauxis <toots@rastageeks.org>. (Thu, 24 Jan 2013 16:15:07 GMT) Full text and rfc822 format available.

Message #30 received at 694589@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Romain Beauxis <toots@rastageeks.org>
Cc: 694589@bugs.debian.org, gregor herrmann <gregoa@debian.org>, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#694589: lastfmproxy: python module/script files in wrong location
Date: Thu, 24 Jan 2013 17:11:02 +0100
Hi Romain,

I'm sorry to say that I became immediately uninterested when I noticed
that the package became a candidate for removal from Wheezy.  I'm not
using the package and I just wanted to help speeding up the release.
So I will definitely not take over.

Sorry for not beeing really helpful

      Andreas.

On Thu, Jan 24, 2013 at 10:07:17AM -0600, Romain Beauxis wrote:
> 2013/1/24 Andreas Tille <tille@debian.org>:
> > Hi,
> 
> Hi Andreas,
> 
> > I wonder whether it would help if I would just dh_python2-ify (switching
> > from cdbs to dh) to solve this problem.  I do not feel prepared to fix the
> > issue in cdbs but I did some dh based Python packages - so feel free to
> > ping me if this is accepted.
> >
> > On the other hand popcon seems to show
> >
> >    http://qa.debian.org/popcon.php?package=lastfmproxy
> >
> > that the best days of this package are over - I also can not see any
> > reverse dependencies.  Kicking this leaf package from testing would be
> > perfectly fine for me personally.
> >
> > BTW, I would also inject the packaging into collab-maint (svn or git -
> > whatever you prefer.)
> 
> Thanks for your care! Feel free to upload a fixed version, either
> NMUed or even taking the package over..
> 
> Have a good day,
> Romain
> 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#694589; Package lastfmproxy. (Thu, 24 Jan 2013 16:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Romain Beauxis <toots@rastageeks.org>:
Extra info received and forwarded to list. (Thu, 24 Jan 2013 16:21:03 GMT) Full text and rfc822 format available.

Message #35 received at 694589@bugs.debian.org (full text, mbox):

From: Romain Beauxis <toots@rastageeks.org>
To: Andreas Tille <tille@debian.org>
Cc: 694589@bugs.debian.org, gregor herrmann <gregoa@debian.org>, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#694589: lastfmproxy: python module/script files in wrong location
Date: Thu, 24 Jan 2013 10:17:03 -0600
Hi,

2013/1/24 Andreas Tille <tille@debian.org>:
> I'm sorry to say that I became immediately uninterested when I noticed
> that the package became a candidate for removal from Wheezy.  I'm not
> using the package and I just wanted to help speeding up the release.
> So I will definitely not take over.
>
> Sorry for not beeing really helpful

That's fine. I don't think this software project is still active anyway..

R.



Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Fri, 08 Feb 2013 18:48:15 GMT) Full text and rfc822 format available.

Notification sent to Stuart Prescott <stuart@debian.org>:
Bug acknowledged by developer. (Fri, 08 Feb 2013 18:48:15 GMT) Full text and rfc822 format available.

Message #40 received at 694589-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 445305-done@bugs.debian.org,520218-done@bugs.debian.org,694581-done@bugs.debian.org,694589-done@bugs.debian.org,
Cc: lastfmproxy@packages.debian.org, lastfmproxy@packages.qa.debian.org
Subject: Bug#699051: Removed package(s) from unstable
Date: Fri, 08 Feb 2013 18:47:02 +0000
Version: 1.3b-2+rm

Dear submitter,

as the package lastfmproxy has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/699051

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 08:03:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:31:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.